Bug 456525 - Radio group «Text display:» on configuration page may have no options selected
Summary: Radio group «Text display:» on configuration page may have no options selected
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Pager (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: ratijas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-09 18:53 UTC by ratijas
Modified: 2022-07-13 07:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.7 5.25.4 5.26


Attachments
Pager - no Text display options selected (55.80 KB, image/png)
2022-07-09 18:53 UTC, ratijas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ratijas 2022-07-09 18:53:50 UTC
Created attachment 150503 [details]
Pager - no Text display options selected

SUMMARY

Under specific conditions, all options of the «Text display:» section on the configuration page may appear deselected, although clicking «No text» does not activate the «Apply» button — indicating that the value didn't actually changed, it just never propagated down to the button's checked state.

STEPS TO REPRODUCE
1. Run `plasmoidviewer -a org.kde.plasma.pager`
2. Open applet configuration window.
3. Check «Shows the desktop» option.
4. Close and open configuration window again.

OBSERVED RESULT
No option is selected in the «Text display:» section.

EXPECTED RESULT
Configured option must be checked as such.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE: git master
Qt Version: 5.15.5
Kernel Version: 5.18.9-arch1-1 (64-bit)
Graphics Platform: X11
Comment 1 Bug Janitor Service 2022-07-09 19:09:55 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1030
Comment 2 ratijas 2022-07-13 07:45:07 UTC
Git commit 4d835be8808b6372d69c424a66c3c7a1493cd6c3 by ivan tkachenko.
Committed on 12/07/2022 at 23:44.
Pushed by ratijas into branch 'master'.

[applets/pager] Fix button group management on configuration page

More declarative and centralized approach fixes the case when the "Text
display:" section may have no radio buttons selected.

Amends c50e4b987dc365d741880794ee6f2924065a87a6.
FIXED-IN: 5.24.7 5.25.4 5.26

M  +10   -38   applets/pager/package/contents/ui/configGeneral.qml

https://invent.kde.org/plasma/plasma-desktop/commit/4d835be8808b6372d69c424a66c3c7a1493cd6c3
Comment 3 ratijas 2022-07-13 07:47:39 UTC
Git commit fffa899345df967ed815104cf88de8466d97b374 by ivan tkachenko.
Committed on 12/07/2022 at 23:45.
Pushed by ratijas into branch 'Plasma/5.24'.

[applets/pager] Fix button group management on configuration page

More declarative and centralized approach fixes the case when the "Text
display:" section may have no radio buttons selected.

Amends c50e4b987dc365d741880794ee6f2924065a87a6.
FIXED-IN: 5.24.7 5.25.4 5.26
(cherry picked from commit 4d835be8808b6372d69c424a66c3c7a1493cd6c3)

M  +10   -38   applets/pager/package/contents/ui/configGeneral.qml

https://invent.kde.org/plasma/plasma-desktop/commit/fffa899345df967ed815104cf88de8466d97b374
Comment 4 ratijas 2022-07-13 07:47:56 UTC
Git commit 805967f00b6bd9deb97a5938977190d34f58da80 by ivan tkachenko.
Committed on 12/07/2022 at 23:46.
Pushed by ratijas into branch 'Plasma/5.25'.

[applets/pager] Fix button group management on configuration page

More declarative and centralized approach fixes the case when the "Text
display:" section may have no radio buttons selected.

Amends c50e4b987dc365d741880794ee6f2924065a87a6.
FIXED-IN: 5.24.7 5.25.4 5.26
(cherry picked from commit 4d835be8808b6372d69c424a66c3c7a1493cd6c3)

M  +10   -38   applets/pager/package/contents/ui/configGeneral.qml

https://invent.kde.org/plasma/plasma-desktop/commit/805967f00b6bd9deb97a5938977190d34f58da80